%define upstream_name	Locale-Maketext-Simple
%define upstream_version 0.21

Name:		    perl-%{upstream_name}
Version:	    %perl_convert_version %{upstream_version}
Release:	    %mkrel 13

License:	    MIT
Group:		    Development/Perl
Summary:	    Perl module to use other catalog formats in Maketext
Url:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires:	perl(Locale::Maketext::Lexicon)
BuildArch:      noarch

Requires:	perl(Locale::Maketext::Lexicon)

%description
Locale::Maketext::Simple is simple interface to Locale::Maketext::Lexicon,
a module providing lexicon-handling backends, for "Locale::Maketext" 
to read from other localization formats, such as PO files, MO files, 
or from databases via the "Tie" interface.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml
%{perl_vendorlib}/Locale
%{_mandir}/man3/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.210.0-13.mga10
+ Revision: 2199550
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.210.0-12.mga9
+ Revision: 1804249
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-11.mga8
+ Revision: 1495404
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-10.mga7
+ Revision: 1268896
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-9.mga6
+ Revision: 1029268
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.210.0-8.mga6
+ Revision: 930417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-7.mga5
+ Revision: 743868
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-6.mga5
+ Revision: 685248
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.210.0-5.mga4
+ Revision: 512626
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-4.mga3
+ Revision: 369158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.210.0-3.mga1
+ Revision: 30736
- mageia rebuild
- imported package perl-Locale-Maketext-Simple


* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-3mdv2011.0
+ Revision: 554271
- rebuild

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-2mdv2010.0
+ Revision: 420980
- rebuild

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2010.0
+ Revision: 418653
- update to 0.21

* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 399586
- adding missing requires: & buildrequires:
- update to 0.20 for real this time
- using %%perl_convert_version

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.20

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.18-4mdv2009.0
+ Revision: 257648
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.18-3mdv2009.0
+ Revision: 245703
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.18-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2007.0
- New version 0.18

* Fri Aug 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.17-1mdv2007.0
- New version 0.17

* Thu May 04 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- New version
- Change license

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdk
- New release 0.15

* Tue May 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.14-1mdk
- New release 0.14

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- New release 0.13
- %%mkrel
- better source URL

* Mon Jun 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-5mdk 
- don't ship useless emtpy dirs
- spec cleanup
- better url
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-4mdk 
- removed MANIFEST
- added missing doc files

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-3mdk
- fix buildrequires in a backward compatible way

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.12-2mdk 
- rebuild

* Fri Apr 02 2004 Michael Scherer <misc@mandrake.org> 0.12-1mdk 
- First MandrakeSoft Package

